Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.util
Class CollectionUtil

    java.lang.Object
      com.vividsolutions.jts.util.CollectionUtil

    public class CollectionUtil

extends java.lang.Object

Utilities for processing `Collection`s.

Version:
  1.7

Nested Class Summary
`static interface` | `CollectionUtil.Function`

Constructor Summary
`CollectionUtil()`

Method Summary
`static void` | `apply(java.util.Collection coll, CollectionUtil.Function func)` Executes a function on each item in a Collection but does not accumulate the result
`static java.util.List` | `select(java.util.Collection collection, CollectionUtil.Function func)` Executes a `CollectionUtil.Function` on each item in a Collection and collects all the entries for which the result of the function is equal to `Boolean` `true`.
`static java.util.List` | `transform(java.util.Collection coll, CollectionUtil.Function func)` Executes a function on each item in a `Collection` and returns the results in a new `List`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionUtil

    public CollectionUtil()

Method Detail

### transform

    public static java.util.List transform(java.util.Collection coll,
                                           CollectionUtil.Function func)

  Executes a function on each item in a `Collection` and returns the results in a new `List`

  Parameters:
    `coll` - the collection to process
    `func` - the Function to execute
  Returns:
    a list of the transformed objects

### apply

    public static void apply(java.util.Collection coll,
                             CollectionUtil.Function func)

  Executes a function on each item in a Collection but does not accumulate the result

  Parameters:
    `coll` - the collection to process
    `func` - the Function to execute

### select

    public static java.util.List select(java.util.Collection collection,
                                        CollectionUtil.Function func)

  Executes a `CollectionUtil.Function` on each item in a Collection and collects all the entries for which the result of the function is equal to `Boolean` `true`.

  Parameters:
    `collection` - the collection to process
    `func` - the Function to execute
  Returns:
    a list of objects for which the function was true

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD